Bug 214668 - emulators/qemu-sbruno fails when built without X11
Summary: emulators/qemu-sbruno fails when built without X11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sean Bruno
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-19 13:43 UTC by Gerrit Beine
Modified: 2018-01-14 18:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sbruno)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerrit Beine 2016-11-19 13:43:24 UTC
qemu-sbruno build fails when x11/pixman is not installed.


===========================================================================
===>   qemu-sbruno-2.7.90.g20161116 depends on shared library: libglib-2.0.so - found (/usr/local/lib/libglib-2.0.so)
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for qemu-sbruno-2.7.90.g20161116

ERROR: pixman >= 0.21.8 not present. Your options:
         (1) Preferred: Install the pixman devel package (any recent
             distro should have packages as Xorg needs pixman too).
         (2) Fetch the pixman submodule, using:
             git submodule update --init pixman

===========================================================================

Making pixman a hard dependency solves this problem.


diff -Nur patches/emulators/qemu-sbruno/Makefile ports-local/emulators/qemu-sbruno/Makefile
--- patches/emulators/qemu-sbruno/Makefile      2016-11-19 14:38:00.352659000 +0100
+++ ports-local/emulators/qemu-sbruno/Makefile  2016-11-19 14:38:20.066546000 +0100
@@ -139,12 +139,12 @@
        --enable-debug-info \
        --extra-cflags=-I${WRKSRC}\ -I${LOCALBASE}/include\ -DPREFIX=\\\"\"${PREFIX}\\\"\"

+USE_XORG=      pixman
 .if empty(PORT_OPTIONS:MX11)
 CONFIGURE_ARGS+=       --disable-sdl
 .else
 CONFIGURE_ARGS+=       --enable-sdl
 USE_SDL=       sdl
-USE_XORG=      pixman
 .endif

 .if empty(PORT_OPTIONS:MGTK2)
Comment 1 Sean Bruno freebsd_committer 2016-11-19 18:50:27 UTC
I don't see this in my builds on current.  I reset all my port options to default:

[00:00:01] ====>> Starting jail 12bruno-default
[00:00:01] ====>> Logs: /usr/local/poudriere/data/logs/bulk/12bruno-default/2016-11-19_09h52m30s
[00:00:01] ====>> Loading MOVED
[00:00:01] ====>> Calculating ports order and dependencies
[00:00:08] ====>> Sanity checking the repository
[00:00:08] ====>> Checking packages for incremental rebuild needed
[00:00:12] ====>> Deleting qemu-sbruno-2.7.90.g20161116.txz: changed options
[00:00:12] ====>> Pkg: CDROM_DMA CURL DOCS GNUTLS GTK2 JPEG OPENGL PCAP PNG SASL X11 
[00:00:12] ====>> New: CDROM_DMA CURL DOCS GNUTLS GTK2 JPEG OPENGL PCAP PNG SASL 
[00:00:15] ====>> Deleting stale symlinks
[00:00:15] ====>> Deleting empty directories
[00:00:15] ====>> Cleaning the build queue
[00:00:15] ====>> Recording filesystem state for prepkg... done
[00:00:15] ====>> Building 1 packages using 1 builders
[00:00:15] ====>> Starting/Cloning builders
[00:00:16] ====>> Hit CTRL+t at any time to see build progress and stats
[00:00:16] ====>> [01][00:00:00] Starting build of emulators/qemu-sbruno


I do not see this error.  Can you dump the full poudriere log (or ports build) along with what revisions of FreeBSD you are building for?
Comment 2 Gerrit Beine 2016-11-19 19:09:28 UTC
Here we go...

FreeBSD 11.0-RELEASE-p3 on AMD64

====>> Building emulators/qemu-sbruno
build started at Sat Nov 19 00:27:31 CET 2016
port directory: /usr/ports/emulators/qemu-sbruno
building for: FreeBSD pkg.gbeine.intern 11.0-RELEASE-p3 FreeBSD 11.0-RELEASE-p3 amd64
maintained by: sbruno@FreeBSD.org
Makefile ident:      $FreeBSD: head/emulators/qemu-sbruno/Makefile 426294 2016-11-17 18:13:07Z sbruno $
Poudriere version: 3.1.14
Host OSVERSION: 1100122
Jail OSVERSION: 1100122

---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 11.0-RELEASE-p3
UNAME_r=11.0-RELEASE-p3
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
ARCH=amd64
SAVED_TERM=screen
MASTERMNT=/build/poudriere/data/.m/11_0-amd64-local-poudriere/ref
UID=0
FORCE_PACKAGE=yes
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=qemu-sbruno-2.7.90.g20161116
OSREL=11.0
_OSRELEASE=11.0-RELEASE-p3
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=3
PWD=/build/poudriere/data/.m/11_0-amd64-local-poudriere/ref/.p/pool
HAVE_COMPAT_IA32_KERN=YES OPSYS=FreeBSD
MASTERNAME=11_0-amd64-local-poudriere
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100122
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for qemu-sbruno-2.7.90.g20161116:
     BSD_USER=off: Also build bsd-user targets (for testing)
     CDROM_DMA=on: IDE CDROM DMA
     CURL=off: Data transfer support via cURL
     DOCS=off: Build and/or install documentation
     GNUTLS=on: gnutls dependency (vnc encryption)
     GTK2=off: GTK+ 2 GUI toolkit support
     JPEG=off: jpeg dependency (vnc lossy compression)
     OPENGL=off: 2D/3D rendering support via OpenGL
     PCAP=off: pcap dependency (networking with bpf)
     PNG=on: png dependency (vnc compression)
     SAMBA=off: samba dependency (for -smb)
     SASL=off: cyrus-sasl dependency (vnc encryption)
     STATIC_LINK=off: Statically link the executables
     USBREDIR=off: usb device network redirection (experimental!)
     X11=off: X11 (graphics) support
     X86_TARGETS=off: Don't build non-x86 system targets
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--localstatedir=/var --extra-ldflags=-L\"/usr/local/lib\" --disable-libssh2 --disable-bsd-user --prefix=/usr/local --cc=cc --enable-docs  --disable-linux-user --disable-linux-aio  --disable-kvm --disable-xen  --smbd=/usr/local/sbin/smbd  --enable-debug  --enable-debug-info  --extra-cflags=-I/wrkdirs/usr/ports/emulators/qemu-sbruno/work/qemu-bsd-user-ff68442\ -I/usr/local/include\ -DPREFIX=\\\"\"/usr/local\\\"\" --disable-sdl --disable-gtk --disable-vte --disable-vnc-sasl --disable-vnc-jpeg --disable-curl --disable-opengl --disable-usb-redir --disable-pcap --python=/usr/local/bin/python2.7
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PKG_CONFIG=pkgconf ac_cv_path_PERL=/usr/local/bin/perl ac_cv_path_PERL_PATH=/usr/local/bin/perl PYTHON="/usr/local/bin/python2.7" XDG_DATA_HOME=/wrkdirs/usr/ports/emulators/qemu-sbruno/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/emulators/qemu-sbruno/work  HOME=/wrkdirs/usr/ports/emulators/qemu-sbruno/work TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh PATH=/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin CCACHE_DIR="/root/.ccache"
--End CONFIGURE_ENV--

--MAKE_ENV--
BSD_MAKE="/usr/bin/make" V=1 XDG_DATA_HOME=/wrkdirs/usr/ports/emulators/qemu-sbruno/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/emulators/qemu-sbruno/work  HOME=/wrkdirs/usr/ports/emulators/qemu-sbruno/work TMPDIR="/tmp" NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" PATH=/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin CCACHE_DIR="/root/.ccache" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
BSD_USER="@comment
"
BSD_USER64="@comment
"
NONX86=""
SOFTMMU=""
STATIC=""
GTK2="@comment
"
LINUXBOOT_DMA=""
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd11
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_VER=2.7
PYTHON_VERSION=python2.7
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS="@comment
"
PORTEXAMPLES=""
LIB32DIR=lib
PERL_VERSION=5.24.1
PERL_VER=5.24
PERL5_MAN1=lib/perl5/site_perl/man/man1
PERL5_MAN3=lib/perl5/site_perl/man/man3
SITE_PERL=lib/perl5/site_perl
SITE_ARCH=lib/perl5/site_perl/mach/5.24
DOCSDIR="share/doc/qemu"
EXAMPLESDIR="share/examples/qemu"
DATADIR="share/qemu"
WWWDIR="www/qemu"
ETCDIR="etc/qemu"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/qemu
DOCSDIR=/usr/local/share/doc/qemu
EXAMPLESDIR=/usr/local/share/examples/qemu
WWWDIR=/usr/local/www/qemu
ETCDIR=/usr/local/etc/qemu
--End SUB_LIST--

---Begin make.conf---
WITH_CCACHE_BUILD=yes
CCACHE_DIR=/root/.ccache
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/11_0-amd64-local-poudriere-make.conf ####
OPTIONS_UNSET=		X11 DEBUG
DEFAULT_VERSIONS=	python=3.4

MASTER_SITE_BACKUP=	http://distcache.gbeine.intern/
MASTER_SITE_OVERRIDE?=	${MASTER_SITE_BACKUP}
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===>  Found saved configuration for qemu-sbruno-2.7.50.g20161111
===========================================================================
=======================<phase: pkg-depends    >============================
===>   qemu-sbruno-2.7.90.g20161116 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.9.3.txz
[pkg.gbeine.intern] Installing pkg-1.9.3...
[pkg.gbeine.intern] Extracting pkg-1.9.3: .......... done
===>   qemu-sbruno-2.7.90.g20161116 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===>  Found saved configuration for qemu-sbruno-2.7.50.g20161111
===> Fetching all distfiles required by qemu-sbruno-2.7.90.g20161116 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===>  Found saved configuration for qemu-sbruno-2.7.50.g20161111
===> Fetching all distfiles required by qemu-sbruno-2.7.90.g20161116 for building
=> SHA256 Checksum OK for qemu/2.7.90.g20161116/seanbruno-qemu-bsd-user-2.7.90.g20161116-ff68442_GH0.tar.gz.
=> SHA256 Checksum OK for qemu/2.7.90.g20161116/dtc-v1.4.0.tar.gz.
=> SHA256 Checksum OK for qemu/2.7.90.g20161116/seanbruno-qemu-bsd-user-2.7.90.g20161116-ff68442_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===>  Found saved configuration for qemu-sbruno-2.7.50.g20161111
===> Fetching all distfiles required by qemu-sbruno-2.7.90.g20161116 for building
===>  Extracting for qemu-sbruno-2.7.90.g20161116
=> SHA256 Checksum OK for qemu/2.7.90.g20161116/seanbruno-qemu-bsd-user-2.7.90.g20161116-ff68442_GH0.tar.gz.
=> SHA256 Checksum OK for qemu/2.7.90.g20161116/dtc-v1.4.0.tar.gz.
=> SHA256 Checksum OK for qemu/2.7.90.g20161116/seanbruno-qemu-bsd-user-2.7.90.g20161116-ff68442_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for qemu-sbruno-2.7.90.g20161116
===>  Applying FreeBSD patches for qemu-sbruno-2.7.90.g20161116
===========================================================================
=======================<phase: build-depends  >============================
===>   qemu-sbruno-2.7.90.g20161116 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_1.txz
[pkg.gbeine.intern] Installing gmake-4.2.1_1...
[pkg.gbeine.intern] `-- Installing indexinfo-0.2.6...
[pkg.gbeine.intern] `-- Extracting indexinfo-0.2.6: .... done
[pkg.gbeine.intern] `-- Installing gettext-runtime-0.19.8.1...
[pkg.gbeine.intern] `-- Extracting gettext-runtime-0.19.8.1: .......... done
[pkg.gbeine.intern] Extracting gmake-4.2.1_1: .......... done
===>   qemu-sbruno-2.7.90.g20161116 depends on executable: gmake - found
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===>   qemu-sbruno-2.7.90.g20161116 depends on package: pkgconf>=0.9.10 - not found
===>   Installing existing package /packages/All/pkgconf-1.0.2.txz
[pkg.gbeine.intern] Installing pkgconf-1.0.2...
[pkg.gbeine.intern] Extracting pkgconf-1.0.2: .......... done
===>   qemu-sbruno-2.7.90.g20161116 depends on package: pkgconf>=0.9.10 - found
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===>   qemu-sbruno-2.7.90.g20161116 depends on executable: bison - not found
===>   Installing existing package /packages/All/bison-2.7.1,1.txz
[pkg.gbeine.intern] Installing bison-2.7.1,1...
[pkg.gbeine.intern] `-- Installing m4-1.4.17_1,1...
[pkg.gbeine.intern] `-- Extracting m4-1.4.17_1,1: .......... done
[pkg.gbeine.intern] Extracting bison-2.7.1,1: .......... done
===>   qemu-sbruno-2.7.90.g20161116 depends on executable: bison - found
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===>   qemu-sbruno-2.7.90.g20161116 depends on file: /usr/local/bin/python2.7 - not found
===>   Installing existing package /packages/All/python27-2.7.12.txz
[pkg.gbeine.intern] Installing python27-2.7.12...
[pkg.gbeine.intern] `-- Installing libffi-3.2.1...
[pkg.gbeine.intern] `-- Extracting libffi-3.2.1: .......... done
[pkg.gbeine.intern] `-- Installing readline-6.3.8...
[pkg.gbeine.intern] `-- Extracting readline-6.3.8: .......... done
[pkg.gbeine.intern] Extracting python27-2.7.12: .......... done
Message from python27-2.7.12:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   qemu-sbruno-2.7.90.g20161116 depends on file: /usr/local/bin/python2.7 - found
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===>   qemu-sbruno-2.7.90.g20161116 depends on executable: python2 - not found
===>   Installing existing package /packages/All/python2-2_3.txz
[pkg.gbeine.intern] Installing python2-2_3...
[pkg.gbeine.intern] Extracting python2-2_3: ...... done
===>   qemu-sbruno-2.7.90.g20161116 depends on executable: python2 - found
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===>   qemu-sbruno-2.7.90.g20161116 depends on package: perl5>=5.24<5.25 - not found
===>   Installing existing package /packages/All/perl5-5.24.1.r4.txz
[pkg.gbeine.intern] Installing perl5-5.24.1.r4...
[pkg.gbeine.intern] Extracting perl5-5.24.1.r4: .......... done
Message from perl5-5.24.1.r4:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   qemu-sbruno-2.7.90.g20161116 depends on package: perl5>=5.24<5.25 - found
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===>   qemu-sbruno-2.7.90.g20161116 depends on file: /usr/local/bin/ccache - not found
===>   Installing existing package /packages/All/ccache-3.2.5_2.txz
[pkg.gbeine.intern] Installing ccache-3.2.5_2...
[pkg.gbeine.intern] Extracting ccache-3.2.5_2: .......... done
Create compiler links...
create symlink for cc
create symlink for cc (world)
create symlink for c++
create symlink for c++ (world)
create symlink for CC
create symlink for CC (world)
create symlink for clang
create symlink for clang (world)
create symlink for clang++
create symlink for clang++ (world)
Message from ccache-3.2.5_2:
NOTE:
Please read /usr/local/share/doc/ccache/ccache-howto-freebsd.txt for
information on using ccache with FreeBSD ports and src.
===>   qemu-sbruno-2.7.90.g20161116 depends on file: /usr/local/bin/ccache - found
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===========================================================================
=======================<phase: lib-depends    >============================
===>   qemu-sbruno-2.7.90.g20161116 depends on shared library: libgnutls.so - not found
===>   Installing existing package /packages/All/gnutls-3.4.16.txz
[pkg.gbeine.intern] Installing gnutls-3.4.16...
[pkg.gbeine.intern] `-- Installing nettle-3.2...
[pkg.gbeine.intern] |   `-- Installing gmp-5.1.3_3...
[pkg.gbeine.intern] |   `-- Extracting gmp-5.1.3_3: .......... done
[pkg.gbeine.intern] `-- Extracting nettle-3.2: .......... done
[pkg.gbeine.intern] `-- Installing ca_root_nss-3.27.1...
[pkg.gbeine.intern] `-- Extracting ca_root_nss-3.27.1: ........ done
[pkg.gbeine.intern] `-- Installing libtasn1-4.9...
[pkg.gbeine.intern] `-- Extracting libtasn1-4.9: .......... done
[pkg.gbeine.intern] `-- Installing unbound-1.5.10...
[pkg.gbeine.intern] |   `-- Installing expat-2.2.0...
[pkg.gbeine.intern] |   `-- Extracting expat-2.2.0: .......... done
[pkg.gbeine.intern] |   `-- Installing ldns-1.6.17_5...
[pkg.gbeine.intern] |   `-- Extracting ldns-1.6.17_5: .......... done
[pkg.gbeine.intern] |   `-- Installing libevent2-2.0.22_1...
[pkg.gbeine.intern] |   `-- Extracting libevent2-2.0.22_1: .......... done
===> Creating groups.
Using existing group 'unbound'.
===> Creating users
Using existing user 'unbound'.
[pkg.gbeine.intern] `-- Extracting unbound-1.5.10: .......... done
[pkg.gbeine.intern] `-- Installing trousers-0.3.13_1...
[pkg.gbeine.intern] |   `-- Installing tpm-emulator-0.7.4_1...
===> Creating groups.
Creating group '_tss' with gid '601'.
===> Creating users
Creating user '_tss' with uid '601'.
[pkg.gbeine.intern] |   `-- Extracting tpm-emulator-0.7.4_1: ......... done
===> Creating groups.
Using existing group '_tss'.
===> Creating users
Using existing user '_tss'.
[pkg.gbeine.intern] `-- Extracting trousers-0.3.13_1: .......... done
[pkg.gbeine.intern] `-- Installing p11-kit-0.23.2...
[pkg.gbeine.intern] `-- Extracting p11-kit-0.23.2: .......... done
[pkg.gbeine.intern] `-- Installing libidn-1.33_1...
[pkg.gbeine.intern] `-- Extracting libidn-1.33_1: .......... done
[pkg.gbeine.intern] Extracting gnutls-3.4.16: .......... done
Message from ca_root_nss-3.27.1:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from trousers-0.3.13_1:
To run tcsd automatically, add the following line to /etc/rc.conf:

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

If you want to use tcsd with software TPM emulator, use the following
configuration in /etc/rc.conf:

tcsd_enable="YES"
tcsd_mode="emulator"
tpmd_enable="YES"

To use TPM, add your_account to '_tss' group like following:

# pw groupmod _tss -m your_account
===>   qemu-sbruno-2.7.90.g20161116 depends on shared library: libgnutls.so - found (/usr/local/lib/libgnutls.so)
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===>   qemu-sbruno-2.7.90.g20161116 depends on shared library: libpng.so - not found
===>   Installing existing package /packages/All/png-1.6.26.txz
[pkg.gbeine.intern] Installing png-1.6.26...
[pkg.gbeine.intern] Extracting png-1.6.26: .......... done
===>   qemu-sbruno-2.7.90.g20161116 depends on shared library: libpng.so - found (/usr/local/lib/libpng.so)
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===>   qemu-sbruno-2.7.90.g20161116 depends on shared library: libglib-2.0.so - not found
===>   Installing existing package /packages/All/glib-2.46.2_3.txz
[pkg.gbeine.intern] Installing glib-2.46.2_3...
[pkg.gbeine.intern] `-- Installing libiconv-1.14_9...
[pkg.gbeine.intern] `-- Extracting libiconv-1.14_9: .......... done
[pkg.gbeine.intern] `-- Installing pcre-8.39...
[pkg.gbeine.intern] `-- Extracting pcre-8.39: .......... done
[pkg.gbeine.intern] `-- Installing python34-3.4.5...
[pkg.gbeine.intern] `-- Extracting python34-3.4.5: .......... done
[pkg.gbeine.intern] Extracting glib-2.46.2_3: .......... done
No schema files found: doing nothing.
Message from python34-3.4.5:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

py34-gdbm       databases/py34-gdbm
py34-sqlite3    databases/py34-sqlite3
py34-tkinter    x11-toolkits/py34-tkinter

===========================================================================
===>   qemu-sbruno-2.7.90.g20161116 depends on shared library: libglib-2.0.so - found (/usr/local/lib/libglib-2.0.so)
===>   Returning to build of qemu-sbruno-2.7.90.g20161116
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for qemu-sbruno-2.7.90.g20161116

ERROR: pixman >= 0.21.8 not present. Your options:
         (1) Preferred: Install the pixman devel package (any recent
             distro should have packages as Xorg needs pixman too).
         (2) Fetch the pixman submodule, using:
             git submodule update --init pixman

===>  Script "configure" failed unexpectedly.
Please report the problem to sbruno@FreeBSD.org [maintainer] and attach the
"/wrkdirs/usr/ports/emulators/qemu-sbruno/work/qemu-bsd-user-ff68442/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/emulators/qemu-sbruno
====>> Cleaning up wrkdir
===>  Cleaning for qemu-sbruno-2.7.90.g20161116
build of emulators/qemu-sbruno ended at Sat Nov 19 00:28:30 CET 2016
build time: 00:00:59
!!! build failure encountered !!!
Comment 3 commit-hook freebsd_committer 2016-11-21 15:00:52 UTC
A commit references this bug:

Author: sbruno
Date: Mon Nov 21 15:00:41 UTC 2016
New revision: 426725
URL: https://svnweb.freebsd.org/changeset/ports/426725

Log:
  QEMU requires pixman to build qemu-system-* targets regardless of
  whether we are building for X or not.  Add the dependency if

  PR:		214668
  Submitted by:	mail+freebsd@gerritbeine.de

Changes:
  head/emulators/qemu-sbruno/Makefile
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-01-14 00:53:05 UTC
Forgotten to close?